Skip to main content
`Ctrl`+`K`

# PetscSegBufferGet

get new buffer space from a segmented buffer

## Synopsis

    PetscErrorCode PetscSegBufferGet(PetscSegBuffer seg, PetscCount count, void *buf)

Not Collective, No Fortran Support

## Input Parameters

- seg - `PetscSegBuffer` buffer

- count - number of entries needed

## Output Parameter

- buf - address of new buffer for contiguous data

## See Also

`PetscSegBufferCreate()`, `PetscSegBufferExtractAlloc()`, `PetscSegBufferExtractTo()`, `PetscSegBufferExtractInPlace()`, `PetscSegBufferDestroy()`, `PetscSegBuffer`, `PetscSegBufferGetInts()`

## Level

developer

## Location

src/sys/utils/segbuffer.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages